package com.hdkj.lt.bf.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hdkj.lt.bf.entity.dto.StrategyConfigDTO;
import com.hdkj.lt.bf.entity.dto.StrategyConfigDetailDTO;
import com.hdkj.lt.bf.entity.dto.StrategyConfigEntryDTO;
import com.hdkj.lt.bf.entity.vo.FhzgStrategyConfigVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;

@Mapper
public interface FhzgPlanStrategyMapper {

    Page<FhzgStrategyConfigVO> getStrategyconfigList(Page<StrategyConfigDTO> page, @Param("dto") StrategyConfigDTO dto);

    HashMap<String, Object> getVersionName(@Param("strategyId") Long strategyId);

    Long insert(StrategyConfigEntryDTO strategyConfigDTO);

    void update(@Param("dto")StrategyConfigEntryDTO strategyConfigDTO);

    void updateDownStatus(@Param("dto")StrategyConfigDetailDTO dto);

    void updateStartStatus(@Param("dto")StrategyConfigDetailDTO dto);
}
